Subject: [PATCH v7 0/11] KGDB/KDB FIQ (NMI) debugger

From: [email-masked] (Anton Vorontsov)
Date: Mon, 17 Sep 2012 08:39:43 -0700

On Mon, Sep 17, 2012 at 05:54:27AM -0700, Greg Kroah-Hartman wrote:
[...]
> > > To make it easier, can I just take the tty driver patches now?  Will
> > > that break anything?
> > 
> > I have not made my way through the entire series yet, so I am not sure
> > if you need the kdb header changes or not, but so far it looks like
> > the tty pieces are separate.  If you add your ack Greg, I'll take the
> > whole series and merge it into kgdb-next, or after I finish the review
> > we could do it the other way around.
> 
> Your tree is fine:
> 
> Acked-by: Greg Kroah-Hartman <[email-masked]>
> 
> Let me know if you have problems merging this due to any tty patches,
> and if so, I'll be glad to take them through my tree.

Guys, thanks for taking a look into this!

The patch that adds nmi console driver (i.e. tty/serial/kgdb_nmi.c)
depends on the first KDB patches in these series, and it depends on
amba-pl1011 and tty_port work, which is in tty-next.

So, the series have to go via tty-next; I believe Jason won't able
to take it via his tree.

Thanks,

Anton.